﻿namespace MVCDemo.Models
{
    using System;
    using System.Collections.Generic;

    public class UserRepository
    {
        private static List<UserProfileModel> _profiles = new List<UserProfileModel>();

        static UserRepository()
        {
            _profiles.Add(new UserProfileModel() {
                Login = "axel",
                DisplayName = "Axel",
                Email = "axel@somemailserver.org",
                Homepage = @"http://www.somesite.com/"
            });

            _profiles.Add(new UserProfileModel() {
                Login = "foxy",
                DisplayName = "Foxy",
                Email = "foxy@somemailserver2.org",
                Homepage = @"http://www.somesite2.com/"
            });
        }

        public List<UserProfileModel> Profiles
        {
            get { return _profiles; }
        }

        public void Add(NewUserProfileModel newProfile)
        {
            if (newProfile == null) {
                throw new ArgumentNullException();
            }

            _profiles.Add(newProfile);
        }

        public bool IsLoginExists(string login)
        {
            int index = _profiles.FindIndex(
                profile => string.Equals(profile.Login, login));

            return index != -1;
        }
    }
}